Bug 337181 - ppmtogif creates broken interlace GIF file
ppmtogif creates broken interlace GIF file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: netpbm (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-18 02:09 EDT by Takanori MATSUURA
Modified: 2013-07-02 19:23 EDT (History)
1 user (show)

See Also:
Fixed In Version: 10.35.32-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-05 10:05:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
updated spec file (23.41 KB, text/x-rpm-spec)
2007-10-18 02:09 EDT, Takanori MATSUURA
no flags Details

  None (edit)
Description Takanori MATSUURA 2007-10-18 02:09:58 EDT
How reproducible:
everytime

Steps to Reproduce:
1.run "ppmtogif -interlace foo.ppm > foo.gif"
2.view GIF file by using image viewer
  
Actual results:
GIF image is broken.

Expected results:
GIF image is properly created.

Additional info:
Netpbm in F7 has this bug. And RHEL5 also may have it.
According to doc/HISTORY file, this is fixed in 10.35.16 and I confirmed it.
Comment 1 Takanori MATSUURA 2007-10-18 02:09:58 EDT
Created attachment 230721 [details]
updated spec file
Comment 2 Jindrich Novy 2007-10-19 07:38:28 EDT
Applied with slight modifications in rawhide, F7/FC6 updates are now in testing.
Thanks!
Comment 3 Fedora Update System 2007-10-24 03:15:50 EDT
netpbm-10.35.32-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update netpbm'
Comment 4 Takanori MATSUURA 2007-10-29 04:16:58 EDT
(In reply to comment #3)
I have confirmed that netpbm-10.35.32-1.fc7 fixes this bug.

FYI: As mentioned in comment #1, this bug also affects RHEL5.
Comment 5 Fedora Update System 2007-11-05 10:05:14 EST
netpbm-10.35.32-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2007-11-17 00:35:52 EST
netpbm-10.35.32-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.